Loading...
Searching...
No Matches
irr::scene::IMeshWriter Class Referenceabstract

Interface for writing meshes. More...

`#include <IMeshWriter.h>`

Inheritance diagram for irr::scene::IMeshWriter:

## Public Member Functions

virtual | ~IMeshWriter ()
| Destructor.
virtual EMESH_WRITER_TYPE | getType () const =0
| Get the type of the mesh writer.
virtual bool | writeMesh (io::IWriteFile *file, scene::IMesh *mesh, s32 flags=EMWF_NONE)=0
| Write a static mesh.
Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.

## Additional Inherited Members

Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Interface for writing meshes.

Definition at line 23 of file IMeshWriter.h.

## Constructor & Destructor Documentation

## ~IMeshWriter()

virtual irr::scene::IMeshWriter::~IMeshWriter | ( |  | ) |

inline virtual

Destructor.

Definition at line 28 of file IMeshWriter.h.

## Member Function Documentation

## getType()

virtual EMESH_WRITER_TYPE irr::scene::IMeshWriter::getType | ( |  | ) | const

pure virtual

Get the type of the mesh writer.

For own implementations, use MAKE_IRR_ID as shown in the EMESH_WRITER_TYPE enumeration to return your own unique mesh type id.

Returns
  Type of the mesh writer.

## writeMesh()

virtual bool irr::scene::IMeshWriter::writeMesh | ( | io::IWriteFile * | file,
|  | scene::IMesh * | mesh,
|  | s32 | flags = EMWF_NONE )

pure virtual

Write a static mesh.

Parameters

  file | File handle to write the mesh to.
  mesh | Pointer to mesh to be written.
  flags | Optional flags to set properties of the writer.

Returns
  True if sucessful

References irr::scene::EMWF_NONE.

The documentation for this class was generated from the following file:

- IMeshWriter.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0